/**
 * SmfList - shows available Solaris packages in a JList
 * @author Peter Tribble
 * @version 1.0
 *
 */

package uk.co.petertribble.solview;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.util.*;

public class SmfList extends JList {

  private SmfUtils smfutil;

  DefaultListModel model;

  /**
   * Display a package list
   */
  public SmfList() {
    smfutil = new SmfUtils();
    model = new DefaultListModel();
    Enumeration e1 = smfutil.getServices().elements();
    while (e1.hasMoreElements()) {
      model.addElement((String) e1.nextElement());
    }
    setModel(model);
  }

  public String getStatus(String smf) {
    return smfutil.getStatus(smf);
  }

  public String getHtmlInfo(String smf) {
    return smfutil.getHtmlInfo(smf);
  }

  public SmfService getService(String smf) {
    return smfutil.getService(smf);
  }

}
