/**
 * SmfService - describes a Solaris service
 * @author Peter Tribble
 * @version 1.0
 *
 */

package uk.co.petertribble.solview;

import uk.co.petertribble.solview.helpers.RunCommand;

public class SmfService {

  private String fmri;
  private String status;
  private String stime;

  public SmfService(String fmri, String status, String stime) {
    this.fmri = fmri;
    this.status = status;
    this.stime = stime;
  }

  public String getStatus() {
    return status;
  }

  public String getStartTime() {
    return stime;
  }

  public String getExplanation() {
    RunCommand svcs = new RunCommand("/usr/bin/svcs -xv "+fmri);
    return svcs.getOut();
  }

  public String getProcesses() {
    RunCommand svcs = new RunCommand("/usr/bin/svcs -p "+fmri);
    return svcs.getOut();
  }

  public String getDependencies() {
    RunCommand svcs = new RunCommand("/usr/bin/svcs -dH "+fmri);
    return svcs.getOut();
  }

  public String getDependents() {
    RunCommand svcs = new RunCommand("/usr/bin/svcs -DH "+fmri);
    return svcs.getOut();
  }

}
